Bug 1281957 - [abrt] gqrx: gqrx killed by SIGSEGV
[abrt] gqrx: gqrx killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gqrx (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Olsthoorn
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7e2c125e2c3ac9ccea6f50e8001...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 17:03 EST by madstitz
Modified: 2016-12-20 10:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:52:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.10 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: core_backtrace (3.67 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: dso_list (17.38 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: environ (1.50 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: exploitable (111 bytes, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: maps (87.22 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: mountinfo (4.52 KB, text/plain)
2015-11-13 17:04 EST, madstitz
no flags Details
File: open_fds (727 bytes, text/plain)
2015-11-13 17:04 EST, madstitz
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-11-13 17:04 EST, madstitz
no flags Details
File: var_log_messages (1.24 KB, text/plain)
2015-11-13 17:04 EST, madstitz
no flags Details

  None (edit)
Description madstitz 2015-11-13 17:03:44 EST
Version-Release number of selected component:
gqrx-2.3.2-12.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        gqrx
executable:     /usr/bin/gqrx
global_pid:     17688
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 boost::detail::sp_counted_base::release at /usr/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp:146
 #2 boost::detail::shared_count::~shared_count at /usr/include/boost/smart_ptr/detail/shared_count.hpp:443
 #3 boost::shared_ptr<gr::basic_block>::~shared_ptr at /usr/include/boost/smart_ptr/shared_ptr.hpp:323
 #4 std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> >::~pair at /usr/include/c++/5.1.1/bits/stl_pair.h:96
 #5 __gnu_cxx::new_allocator<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > >::destroy at /usr/include/c++/5.1.1/ext/new_allocator.h:133
 #6 std::_Rb_tree<gr::basic_block*, std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> >, std::_Select1st<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > >, std::less<gr::basic_block*>, std::allocator<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > > >::_M_destroy_node at /usr/include/c++/5.1.1/bits/stl_tree.h:520
 #7 std::_Rb_tree<gr::basic_block*, std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> >, std::_Select1st<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > >, std::less<gr::basic_block*>, std::allocator<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > > >::_M_drop_node at /usr/include/c++/5.1.1/bits/stl_tree.h:561
 #8 std::_Rb_tree<gr::basic_block*, std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> >, std::_Select1st<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > >, std::less<gr::basic_block*>, std::allocator<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > > >::_M_erase at /usr/include/c++/5.1.1/bits/stl_tree.h:1614
 #9 __cxa_finalize at cxa_finalize.c:56
Comment 1 madstitz 2015-11-13 17:03:48 EST
Created attachment 1093891 [details]
File: backtrace
Comment 2 madstitz 2015-11-13 17:03:49 EST
Created attachment 1093893 [details]
File: cgroup
Comment 3 madstitz 2015-11-13 17:03:51 EST
Created attachment 1093895 [details]
File: core_backtrace
Comment 4 madstitz 2015-11-13 17:03:52 EST
Created attachment 1093897 [details]
File: dso_list
Comment 5 madstitz 2015-11-13 17:03:53 EST
Created attachment 1093899 [details]
File: environ
Comment 6 madstitz 2015-11-13 17:03:55 EST
Created attachment 1093901 [details]
File: exploitable
Comment 7 madstitz 2015-11-13 17:03:56 EST
Created attachment 1093903 [details]
File: limits
Comment 8 madstitz 2015-11-13 17:03:58 EST
Created attachment 1093905 [details]
File: maps
Comment 9 madstitz 2015-11-13 17:04:00 EST
Created attachment 1093907 [details]
File: mountinfo
Comment 10 madstitz 2015-11-13 17:04:01 EST
Created attachment 1093909 [details]
File: open_fds
Comment 11 madstitz 2015-11-13 17:04:02 EST
Created attachment 1093911 [details]
File: proc_pid_status
Comment 12 madstitz 2015-11-13 17:04:04 EST
Created attachment 1093913 [details]
File: var_log_messages
Comment 13 Dave Olsthoorn 2016-05-19 12:25:34 EDT
Is this still an issue with the new version?
Comment 14 madstitz 2016-05-30 08:07:16 EDT
sorry, can't verify, as I don't have access to the hardware (DVB-T stick) anymore.
Comment 15 Fedora End Of Life 2016-11-24 08:24:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 10:52:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.